apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  name: nfd.4.3.27-202006211650.p0
  namespace: placeholder
  annotations:
    capabilities: Basic Install
    categories: "Database"
    
    provider: Red Hat
    support: Red Hat
    containerImage: 
    createdAt: 2019-05-30T00:00:00Z
    certified: "false"
    repository: https://github.com/openshift/cluster-nfd-operator
    alm-examples: |-
      [
        {
          "apiVersion": "nfd.openshift.io/v1alpha1",
          "kind": "NodeFeatureDiscovery",
          "metadata": {
            "name": "nfd-master-server"
          },
          "spec": {
            "namespace": "openshift-nfd"
          }
        }
      ]
    description: This software enables node feature discovery for Kubernetes. It detects hardware features available on each node in a Kubernetes cluster, and advertises those features using node labels.
spec:
  maintainers: 
  - name: "Red Hat"
    email: openshift-psap@redhat.com
  links: 
  - name: Documentation operator
    url: https://github.com/openshift/cluster-nfd-operator
  - name: Documentation operand
    url: https://github.com/openshift/node-feature-discovery
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - kind: NodeFeatureDiscovery
      name: nodefeaturediscoveries.nfd.openshift.io
      version: v1alpha1
      description: |
        The NFD operator creates and maintains the Node Feature Discovery (NFD) on Kubernetes. 
        It detects hardware features available on each node in a Kubernetes cluster, and advertises those features using node labels.
      displayName: Node Feature Discovery    
  description: |
    The NFD operator creates and maintiains the Node Feature Discovery (NFD) on Kubernetes. 
    It detects hardware features available on each node in a Kubernetes cluster, and advertises those features using node labels.
  displayName: Node Feature Discovery    
  icon: 
  - base64data: [encoded data, 14140 characters]
    mediatype: image/png
  install:
    spec:
      clusterPermissions:
      - rules:
        - apiGroups:
          - rbac.authorization.k8s.io
          resources:
          - roles
          - rolebindings
          - clusterroles
          - clusterrolebindings
          verbs:
          - '*'
        - apiGroups:
          - ""
          resources:
          - pods
          - services
          - endpoints
          - persistentvolumeclaims
          - events
          - configmaps
          - secrets
          - serviceaccounts
          - nodes
          verbs:
          - '*'
        - apiGroups:
          - ""
          resources:
          - namespaces
          verbs:
          - '*'
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          - replicasets
          - statefulsets
          verbs:
          - '*'
        - apiGroups:
          - monitoring.coreos.com
          resources:
          - servicemonitors
          verbs:
          - get
          - create
        - apiGroups:
          - nfd.openshift.io
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - policy
          resourceNames:
          - nfd-worker
          resources:
          - podsecuritypolicies
          verbs:
          - use
        - apiGroups:
          - security.openshift.io
          resources:
          - securitycontextconstraints
          verbs:
          - '*'
        serviceAccountName: nfd-operator
      deployments:
      - name: nfd-operator
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: nfd-operator
          strategy: {}
          template:
            metadata:
              labels:
                name: nfd-operator
            spec:
              containers:
              - command:
                - cluster-nfd-operator
                env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                - name: POD_NAME
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.name
                - name: OPERATOR_NAME
                  value: cluster-nfd-operator
                - name: NODE_FEATURE_DISCOVERY_IMAGE
                  value: image-registry.openshift-image-registry.svc:5000/openshift/ose-node-feature-discovery:v4.3.27-202006211650.p0
                image: image-registry.openshift-image-registry.svc:5000/openshift/ose-cluster-nfd-operator:v4.3.27-202006211650.p0
                imagePullPolicy: Always
                name: nfd-operator
                ports:
                - containerPort: 60000
                  name: metrics
                readinessProbe:
                  exec:
                    command:
                    - stat
                    - /tmp/operator-sdk-ready
                  failureThreshold: 1
                  initialDelaySeconds: 4
                  periodSeconds: 10
                resources: {}
                securityContext:
                  allowPrivilegeEscalation: false
                  capabilities:
                    drop:
                    - ALL
                  readOnlyRootFilesystem: true
                volumeMounts:
                - mountPath: /tmp
                  name: tmp
              nodeSelector:
                node-role.kubernetes.io/master: ""
              serviceAccountName: nfd-operator
              tolerations:
              - effect: NoSchedule
                key: node-role.kubernetes.io/master
                operator: Equal
              volumes:
              - emptyDir: {}
                name: tmp
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  maturity: alpha
  provider:
    name: "Red Hat"
  version: "4.3.0"
